# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Type.pm) perl(Log/Log4perl.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Log/Log4perl/Easy.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(WWW/Mechanize.pm) perl(WWW/Mechanize/TreeBuilder.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Drupal-Admin
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: screen scraping Perl API to some Drupal admin functions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DU/DURIST/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Drupal::Admin;

  my $admin = new Drupal::Admin(baseurl => 'http://localhost');

  $admin->login(user => 'admin', password => 'lukeskywalker')

  $admin->offline;
  $admin->online;

  $admin->update;

  $admin->runcron;

  my $statusreport = $admin->status;

  my $status = $admin->enabletheme('garland, 0');
  my $theme = $admin->defaulttheme('bluemarine');


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_privlib/D*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

